Bug 1311826 - [Docs] [Admin] Document working with SR-IOV-enabled NIC
[Docs] [Admin] Document working with SR-IOV-enabled NIC
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity unspecified
: ovirt-3.6.4
: ---
Assigned To: Andrew Burden
Dayle Parker
:
Depends On: 869804
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 01:03 EST by Andrew Burden
Modified: 2016-03-09 21:17 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 21:17:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Burden 2016-02-25 01:03:46 EST
"This release adds SR-IOV enablement to the user interface. In order to connect a vNIC directly to a Virtual Function of an SR-IOV-enabled NIC, the vNIC's profile must be marked as a "passthrough" one. The properties that must be configured on the Virtual Function are taken from the vNIC's profile/network (vlan tag). Each SR-IOV-enabled host-NIC must have a defined set of networks that it is allowed to service. When starting the virtual machine, its vNIC will be directly connected to one of the free Virtual Functions on the host. Note that not all Physical Functions are equivalent: the vNIC must be connected via a host-NIC that has the vNIC's network as one of its allowed networks."
- Doc text BZ#869804

Need to document how to setup/edit VFs on SR-IOV-enabled NICs. This will involve new content. Not sure if this would touch anything else. 

Hosts --> Network Interfaces --> Setup Host Networks.

NB - as above, mark the vnic profile as passthrough to enable host device passthrough of VFs
Comment 2 Lucy Bopf 2016-02-26 02:04:05 EST
Moving to ASSIGNED.
Comment 4 Dayle Parker 2016-03-07 02:42:18 EST
Looks good -- merged content and added entry to Admin Guide Revision History.

Note You need to log in before you can comment on or make changes to this bug.